<?php
/**
 * Football Sports Club functions and definitions
 *
 * @link https://developer.wordpress.org/themes/basics/theme-functions/
 *
 * @package Football Sports Club
 */

include get_theme_file_path( 'vendor/wptrt/autoload/src/Football_Sports_Club_Loader.php' );

$Football_Sports_Club_Loader = new \WPTRT\Autoload\Football_Sports_Club_Loader();

$Football_Sports_Club_Loader->football_sports_club_add( 'WPTRT\\Customize\\Section', get_theme_file_path( 'vendor/wptrt/customize-section-button/src' ) );

$Football_Sports_Club_Loader->football_sports_club_register();

if ( ! function_exists( 'football_sports_club_setup' ) ) :
	/**
	 * Sets up theme defaults and registers support for various WordPress features.
	 *
	 * Note that this function is hooked into the after_setup_theme hook, which
	 * runs before the init hook. The init hook is too late for some features, such
	 * as indicating support for post thumbnails.
	 */
	function football_sports_club_setup() {

		/*
		 * Enable support for Post Formats.
		 *
		 * See: https://codex.wordpress.org/Post_Formats
		*/
		add_theme_support( 'post-formats', array('image','video','gallery','audio',) );

		add_theme_support( 'woocommerce' );
		add_theme_support( "responsive-embeds" );
		add_theme_support( "align-wide" );
		add_theme_support( "wp-block-styles" );

		// Add default posts and comments RSS feed links to head.
		add_theme_support( 'automatic-feed-links' );

		/*
		 * Let WordPress manage the document title.
		 * By adding theme support, we declare that this theme does not use a
		 * hard-coded <title> tag in the document head, and expect WordPress to
		 * provide it for us.
		 */
		add_theme_support( 'title-tag' );

		/*
		 * Enable support for Post Thumbnails on posts and pages.
		 *
		 * @link https://developer.wordpress.org/themes/functionality/featured-images-post-thumbnails/
		 */
		add_theme_support( 'post-thumbnails' );

        add_image_size('football-sports-club-featured-header-image', 2000, 660, true);

        // This theme uses wp_nav_menu() in one location.
        register_nav_menus( array(
            'primary' => esc_html__( 'Primary','football-sports-club' ),
	        'footer'=> esc_html__( 'Footer Menu','football-sports-club' ),
        ) );

		/*
		 * Switch default core markup for search form, comment form, and comments
		 * to output valid HTML5.
		 * to output valid HTML5.
		 */
		add_theme_support( 'html5', array(
			'search-form',
			'comment-form',
			'comment-list',
			'gallery',
			'caption',
		) );

		// Set up the WordPress core custom background feature.
		add_theme_support( 'custom-background', apply_filters( 'football_sports_club_custom_background_args', array(
			'default-color' => 'ffffff',
			'default-image' => '',
		) ) );

		// Add theme support for selective refresh for widgets.
		add_theme_support( 'customize-selective-refresh-widgets' );

		/**
		 * Add support for core custom logo.
		 *
		 * @link https://codex.wordpress.org/Theme_Logo
		 */
		add_theme_support( 'custom-logo', array(
			'height'      => 50,
			'width'       => 50,
			'flex-width'  => true,
		) );

		add_editor_style( array( '/editor-style.css' ) );
		add_action('wp_ajax_football_sports_club_dismissable_notice', 'football_sports_club_dismissable_notice');
		add_action( 'wp_ajax_tm-check-plugin-exists', 'tm_check_plugin_exists' );
		add_action( 'wp_ajax_tm_install_and_activate_plugin', 'tm_install_and_activate_plugin' );
	}
endif;
add_action( 'after_setup_theme', 'football_sports_club_setup' );

function tm_install_and_activate_plugin() {

	$post_plugin_details = $_POST['plugin_details'];
	$plugin_text_domain = $post_plugin_details['plugin_text_domain'];
	$plugin_main_file		=	$post_plugin_details['plugin_main_file'];
	$plugin_url					=	$post_plugin_details['plugin_url'];

	$plugin = array(
		'text_domain'	=> $plugin_text_domain,
		'path' 				=> $plugin_url,
		'install' 		=> $plugin_text_domain . '/' . $plugin_main_file
	);

	wp_cache_flush();

	$plugin_path = plugin_basename( trim( $plugin['install'] ) );


	$activate_plugin = activate_plugin( $plugin_path );

	if($activate_plugin) {

		echo $activate_plugin;

	} else {
		echo $activate_plugin;
	}

	$msg = 'installed';

	$response = array( 'status' => true, 'msg' => $msg );
	wp_send_json( $response );
	exit;
}

function tm_check_plugin_exists() {
		$plugin_text_domain = $_POST['plugin_text_domain'];
		$main_plugin_file 	= $_POST['main_plugin_file'];
		$plugin_path = $plugin_text_domain . '/' . $main_plugin_file;

		$get_plugins					= get_plugins();
		$is_plugin_installed	= false;
		$activation_status 		= false;
		if ( isset( $get_plugins[$plugin_path] ) ) {
		$is_plugin_installed = true;

		$activation_status = is_plugin_active( $plugin_path );
		}
		wp_send_json_success(
		array(
		'install_status'  =>	$is_plugin_installed,
			'active_status'		=>	$activation_status,
			'plugin_path'			=>	$plugin_path,
			'plugin_slug'			=>	$plugin_text_domain
		)
		);
}

/**
 * Set the content width in pixels, based on the theme's design and stylesheet.
 *
 * Priority 0 to make it available to lower priority callbacks.
 *
 * @global int $content_width
 */
function football_sports_club_content_width() {
	$GLOBALS['content_width'] = apply_filters( 'football_sports_club_content_width', 1170 );
}
add_action( 'after_setup_theme', 'football_sports_club_content_width', 0 );

/**
 * Register widget area.
 *
 * @link https://developer.wordpress.org/themes/functionality/sidebars/#registering-a-sidebar
 */
function football_sports_club_widgets_init() {
	register_sidebar( array(
		'name'          => esc_html__( 'Sidebar', 'football-sports-club' ),
		'id'            => 'sidebar',
		'description'   => esc_html__( 'Add widgets here.', 'football-sports-club' ),
        'before_widget' => '<section id="%1$s" class="widget %2$s">',
		'after_widget'  => '</section>',
		'before_title'  => '<h5 class="widget-title">',
		'after_title'   => '</h5>',
	) );

	register_sidebar( array(
		'name'          => esc_html__( 'Sidebar 1', 'football-sports-club' ),
		'id'            => 'sidebar1',
		'description'   => esc_html__( 'Add widgets here.', 'football-sports-club' ),
        'before_widget' => '<section id="%1$s" class="widget %2$s">',
		'after_widget'  => '</section>',
		'before_title'  => '<h5 class="widget-title">',
		'after_title'   => '</h5>',
	) );

	register_sidebar( array(
		'name'          => esc_html__( 'Sidebar 2', 'football-sports-club' ),
		'id'            => 'sidebar2',
		'description'   => esc_html__( 'Add widgets here.', 'football-sports-club' ),
        'before_widget' => '<section id="%1$s" class="widget %2$s">',
		'after_widget'  => '</section>',
		'before_title'  => '<h5 class="widget-title">',
		'after_title'   => '</h5>',
	) );

	register_sidebar( array(
		'name'          => esc_html__( 'Woocommerce Shop Page Sidebar', 'football-sports-club' ),
		'id'            => 'woocommerce-shop-page-sidebar',
		'description'   => '',
        'before_widget' => '<section id="%1$s" class="widget %2$s">',
		'after_widget'  => '</section>',
		'before_title'  => '<h5 class="widget-title">',
		'after_title'   => '</h5>',
	) );

	register_sidebar( array(
		'name'          => esc_html__( 'Woocommerce Single Product Page Sidebar', 'football-sports-club' ),
		'id'            => 'woocommerce-single-product-page-sidebar',
		'description'   => '',
        'before_widget' => '<section id="%1$s" class="widget %2$s">',
		'after_widget'  => '</section>',
		'before_title'  => '<h5 class="widget-title">',
		'after_title'   => '</h5>',
	) );

	register_sidebar( array(
		'name'          => esc_html__( 'Footer Column 1', 'football-sports-club' ),
		'id'            => 'football-sports-club-footer1',
		'description'   => '',
		'before_widget' => '<aside id="%1$s" class="widget %2$s">',
		'after_widget'  => '</aside>',
		'before_title'  => '<h5 class="footer-column-widget-title">',
		'after_title'   => '</h5>',
	) );

	register_sidebar( array(
		'name'          => esc_html__( 'Footer Column 2', 'football-sports-club' ),
		'id'            => 'football-sports-club-footer2',
		'description'   => '',
		'before_widget' => '<aside id="%1$s" class="widget %2$s">',
		'after_widget'  => '</aside>',
		'before_title'  => '<h5 class="footer-column-widget-title">',
		'after_title'   => '</h5>',
	) );

	register_sidebar( array(
		'name'          => esc_html__( 'Footer Column 3', 'football-sports-club' ),
		'id'            => 'football-sports-club-footer3',
		'description'   => '',
		'before_widget' => '<aside id="%1$s" class="widget %2$s">',
		'after_widget'  => '</aside>',
		'before_title'  => '<h5 class="footer-column-widget-title">',
		'after_title'   => '</h5>',
	) );

	register_sidebar( array(
		'name'          => esc_html__( 'Footer Column 4', 'football-sports-club' ),
		'id'            => 'football-sports-club-footer4',
		'description'   => '',
		'before_widget' => '<aside id="%1$s" class="widget %2$s">',
		'after_widget'  => '</aside>',
		'before_title'  => '<h5 class="footer-column-widget-title">',
		'after_title'   => '</h5>',
	) );
}
add_action( 'widgets_init', 'football_sports_club_widgets_init' );

/**
 * Enqueue S Header.
 */
function football_sports_club_sticky_header() {

	$football_sports_club_sticky_header = get_theme_mod('football_sports_club_sticky_header');

	$football_sports_club_custom_style= "";

	if($football_sports_club_sticky_header != true){

		$football_sports_club_custom_style .='.stick_header{';

			$football_sports_club_custom_style .='position: static;';

		$football_sports_club_custom_style .='}';
	}

	wp_add_inline_style( 'football-sports-club-style',$football_sports_club_custom_style );

}
add_action( 'wp_enqueue_scripts', 'football_sports_club_sticky_header' );

/**
 * Enqueue scripts and styles.
 */
function football_sports_club_scripts() {

	require_once get_theme_file_path( 'inc/wptt-webfont-loader.php' );

	wp_enqueue_style(
		'outfit',
		wptt_get_webfont_url( 'https://fonts.googleapis.com/css2?family=Outfit:wght@100;200;300;400;500;600;700;800;900&display=swap' ),
		array(),
		'1.0'
	);

	wp_enqueue_style( 'football-sports-club-block-editor-style', get_theme_file_uri('/assets/css/block-editor-style.css') );

	// load bootstrap css
    wp_enqueue_style( 'bootstrap-css',get_template_directory_uri() . '/assets/css/bootstrap.css');

    wp_enqueue_style( 'owl.carousel-css',get_template_directory_uri() . '/assets/css/owl.carousel.css');

	wp_enqueue_style( 'football-sports-club-style', get_stylesheet_uri() );
	require get_parent_theme_file_path( '/custom-option.php' );
	wp_add_inline_style( 'football-sports-club-style',$football_sports_club_theme_css );

	wp_style_add_data('football-sports-club-basic-style', 'rtl', 'replace');

	// fontawesome
	wp_enqueue_style( 'fontawesome-style', get_template_directory_uri().'/assets/css/fontawesome/css/all.css' );

    wp_enqueue_script('football-sports-club-theme-js',get_template_directory_uri() . '/assets/js/theme-script.js', array('jquery'), '', true );

    wp_enqueue_script('owl.carousel-js', get_template_directory_uri() . '/assets/js/owl.carousel.js', array('jquery'), '', true );

	if ( is_singular() && comments_open() && get_option( 'thread_comments' ) ) {
		wp_enqueue_script( 'comment-reply' );
	}
}
add_action( 'wp_enqueue_scripts', 'football_sports_club_scripts' );

function football_sports_club_file_setup() {

	/**
	 * Custom template tags for this theme.
	 */
	require get_template_directory() . '/inc/template-tags.php';

	/**
	 * Implement the Custom Header feature.
	 */
	require get_template_directory() . '/inc/custom-header.php';

	/**
	 * Functions which enhance the theme by hooking into WordPress.
	 */
	require get_template_directory() . '/inc/template-functions.php';

	/**
	 * Customizer additions.
	 */
	require get_template_directory() . '/inc/customizer.php';

	/**
	 * TGM
	 */
	require get_template_directory() . '/inc/tgm.php';

	define( 'FREE_MNSSP_API_URL', 'https://license.themagnifico.net/api/general/' );
	
	if ( ! defined( 'FOOTBALL_SPORTS_CLUB_CONTACT_SUPPORT' ) ) {
		define('FOOTBALL_SPORTS_CLUB_CONTACT_SUPPORT',__('https://wordpress.org/support/theme/football-sports-club/','football-sports-club'));
	}
	if ( ! defined( 'FOOTBALL_SPORTS_CLUB_REVIEW' ) ) {
		define('FOOTBALL_SPORTS_CLUB_REVIEW',__('https://wordpress.org/support/theme/football-sports-club/reviews/#new-post','football-sports-club'));
	}
	if ( ! defined( 'FOOTBALL_SPORTS_CLUB_LIVE_DEMO' ) ) {
		define('FOOTBALL_SPORTS_CLUB_LIVE_DEMO',__('https://demo.themagnifico.net/football-sports-club/','football-sports-club'));
	}
	if ( ! defined( 'FOOTBALL_SPORTS_CLUB_GET_PREMIUM_PRO' ) ) {
		define('FOOTBALL_SPORTS_CLUB_GET_PREMIUM_PRO',__('https://www.themagnifico.net/products/wordpress-sports-club-theme','football-sports-club'));
	}
	if ( ! defined( 'FOOTBALL_SPORTS_CLUB_PRO_DOC' ) ) {
		define('FOOTBALL_SPORTS_CLUB_PRO_DOC',__('https://demo.themagnifico.net/eard/wathiqa/football-sports-club-pro-doc/','football-sports-club'));
	}
	if ( ! defined( 'FOOTBALL_SPORTS_CLUB_FREE_DOC' ) ) {
		define('FOOTBALL_SPORTS_CLUB_FREE_DOC',__('https://demo.themagnifico.net/eard/wathiqa/football-sports-club-free-doc/','football-sports-club'));
	}
	if ( ! defined( 'FOOTBALL_SPORTS_CLUB_BUNDLE_LINK' ) ) {
		define('FOOTBALL_SPORTS_CLUB_BUNDLE_LINK',__('https://www.themagnifico.net/products/wordpress-theme-bundle','football-sports-club'));
	}

}
add_action( 'after_setup_theme', 'football_sports_club_file_setup' );

/** * Posts pagination. */
if ( ! function_exists( 'football_sports_club_blog_posts_pagination' ) ) {
	function football_sports_club_blog_posts_pagination() {
		$pagination_type = get_theme_mod( 'football_sports_club_blog_pagination_type', 'blog-nav-numbers' );
		if ( $pagination_type == 'blog-nav-numbers' ) {
			the_posts_pagination();
		} else {
			the_posts_navigation();
		}
	}
}

/*dropdown page sanitization*/
function football_sports_club_sanitize_dropdown_pages( $page_id, $setting ) {
	$page_id = absint( $page_id );
	return ( 'publish' == get_post_status( $page_id ) ? $page_id : $setting->default );
}

/*checkbox sanitization*/
function football_sports_club_sanitize_checkbox( $input ) {
	// Boolean check
	return ( ( isset( $input ) && true == $input ) ? true : false );
}

function football_sports_club_sanitize_phone_number( $phone ) {
	return preg_replace( '/[^\d+]/', '', $phone );
}

function football_sports_club_sanitize_select( $input, $setting ){
    $input = sanitize_key($input);
    $choices = $setting->manager->get_control( $setting->id )->choices;
    return ( array_key_exists( $input, $choices ) ? $input : $setting->default );
}

/*radio button sanitization*/
function football_sports_club_sanitize_choices( $input, $setting ) {
    global $wp_customize;
    $control = $wp_customize->get_control( $setting->id );
    if ( array_key_exists( $input, $control->choices ) ) {
        return $input;
    } else {
        return $setting->default;
    }
}

//Float
function football_sports_club_sanitize_float( $input ) {
    return filter_var($input, FILTER_SANITIZE_NUMBER_FLOAT, FILTER_FLAG_ALLOW_FRACTION);
}

function football_sports_club_sanitize_number_absint( $number, $setting ) {
	// Ensure $number is an absolute integer (whole number, zero or greater).
	$number = absint( $number );

	// If the input is an absolute integer, return it; otherwise, return the default
	return ( $number ? $number : $setting->default );
}

function football_sports_club_sanitize_number_range( $number, $setting ) {
	
	// Ensure input is an absolute integer.
	$number = absint( $number );
	
	// Get the input attributes associated with the setting.
	$atts = $setting->manager->get_control( $setting->id )->input_attrs;
	
	// Get minimum number in the range.
	$min = ( isset( $atts['min'] ) ? $atts['min'] : $number );
	
	// Get maximum number in the range.
	$max = ( isset( $atts['max'] ) ? $atts['max'] : $number );
	
	// Get step.
	$step = ( isset( $atts['step'] ) ? $atts['step'] : 1 );
	
	// If the number is within the valid range, return it; otherwise, return the default
	return ( $min <= $number && $number <= $max && is_int( $number / $step ) ? $number : $setting->default );
}

if ( class_exists( 'WP_Customize_Control' ) ) {
	// Image Toggle Radio Buttpon
	class Football_Sports_Club_Image_Radio_Control extends WP_Customize_Control {

	    public function render_content() {
	 
	        if (empty($this->choices))
	            return;
	 
	        $name = '_customize-radio-' . $this->id;
	        ?>
	        <span class="customize-control-title"><?php echo esc_html($this->label); ?></span>
	        <ul class="controls" id='football-sports-club-img-container'>
	            <?php
	            foreach ($this->choices as $value => $label) :
	                $class = ($this->value() == $value) ? 'Football-Sports-Club-radio-img-selected Football-Sports-Club-radio-img-img' : 'Football-Sports-Club-radio-img-img';
	                ?>
	                <li style="display: inline;">
	                    <label>
	                        <input <?php $this->link(); ?>style = 'display:none' type="radio" value="<?php echo esc_attr($value); ?>" name="<?php echo esc_attr($name); ?>" <?php
	                          	$this->link();
	                          	checked($this->value(), $value);
	                          	?> />
	                        <img src='<?php echo esc_url($label); ?>' class='<?php echo esc_attr($class); ?>' />
	                    </label>
	                </li>
	                <?php
	            endforeach;
	            ?>
	        </ul>
	        <?php
	    } 
	}
}

/**
 * Get CSS
 */

function football_sports_club_getpage_css($hook) {
	wp_register_script( 'admin-notice-script', get_template_directory_uri() . '/inc/admin/js/admin-notice-script.js', array( 'jquery' ) );
    wp_localize_script('admin-notice-script','football_sports_club',
		array('admin_ajax'	=>	admin_url('admin-ajax.php'),'wpnonce'  =>	wp_create_nonce('football_sports_club_dismissed_notice_nonce')
		)
	);
	wp_enqueue_script('admin-notice-script');

    wp_localize_script( 'admin-notice-script', 'football_sports_club_ajax_object',
        array( 'ajax_url' => admin_url( 'admin-ajax.php' ) )
    );
	if ( 'appearance_page_football-sports-club-info' != $hook ) {
		return;
	}
}
add_action( 'admin_enqueue_scripts', 'football_sports_club_getpage_css' );

//Admin Notice For Getstart
function football_sports_club_ajax_notice_handler() {
    check_ajax_referer( 'football_sports_club_dismissed_notice_nonce', 'wpnonce' );
    if ( isset( $_POST['type'] ) ) {
        $type = sanitize_text_field( wp_unslash( $_POST['type'] ) );
        update_option( 'dismissed-' . $type, TRUE );
    }
    wp_die();
}

function football_sports_club_deprecated_hook_admin_notice() {

    $dismissed = get_user_meta(get_current_user_id(), 'football_sports_club_dismissable_notice', true);
    if ( !$dismissed) { ?>
        <div class="updated notice notice-success is-dismissible notice-get-started-class" data-notice="get_started" style="background: #f7f9f9; padding: 20px 10px; display: flex;">
	    	<div class="tm-admin-image">
	    		<img style="width: 100%;max-width: 320px;line-height: 40px;display: inline-block;vertical-align: top;border: 2px solid #ddd;border-radius: 4px;" src="<?php echo esc_url(get_stylesheet_directory_uri()) .'/screenshot.png'; ?>" />
	    	</div>
	    	<div class="tm-admin-content" style="padding-left: 30px; align-self: center">
	    		<h2 style="font-weight: 600;line-height: 1.3; margin: 0px;"><?php esc_html_e('Thank You For Choosing ', 'football-sports-club'); ?><?php echo esc_html( wp_get_theme() ); ?></h2>
	    		<p style="color: #3c434a; font-weight: 400; margin-bottom: 30px;"><?php esc_html_e('Get Started With Theme By Clicking On Getting Started.', 'football-sports-club'); ?></p>
	        	<a class="admin-notice-btn button button-primary button-hero" href="<?php echo esc_url( admin_url( 'themes.php?page=football-sports-club-info' )); ?>"><?php esc_html_e( 'Get started', 'football-sports-club' ) ?></a>
	        	<a class="admin-notice-btn button button-primary button-hero notice-pro-btn" target="_blank" href="<?php echo esc_url( FOOTBALL_SPORTS_CLUB_GET_PREMIUM_PRO ); ?>"><?php esc_html_e( 'Get Premium ', 'football-sports-club' ) ?></a>
	        	<a class="admin-notice-btn button button-primary button-hero notice-bundle-btn" target="_blank" href="<?php echo esc_url( FOOTBALL_SPORTS_CLUB_BUNDLE_LINK ); ?>"><?php esc_html_e( 'Buy All Themes - 130+ Templates', 'football-sports-club' ) ?></a>
	        	<span style="padding-top: 15px; display: inline-block; padding-left: 8px;">
	        	<span style="padding-top: 15px; display: inline-block; padding-left: 8px;">
	        	<a class="admin-notice-btn"	 target="_blank" href="<?php echo esc_url( FOOTBALL_SPORTS_CLUB_LIVE_DEMO ); ?>"><?php esc_html_e( 'View Demo', 'football-sports-club' ) ?></a>
	        	</span>
	    	</div>
        </div>
    <?php }
}

add_action( 'admin_notices', 'football_sports_club_deprecated_hook_admin_notice' );

function football_sports_club_switch_theme() {
    delete_user_meta(get_current_user_id(), 'football_sports_club_dismissable_notice');
}
add_action('after_switch_theme', 'football_sports_club_switch_theme');
function football_sports_club_dismissable_notice() {
    check_ajax_referer( 'football_sports_club_dismissed_notice_nonce', 'wpnonce' );
    update_user_meta(get_current_user_id(), 'football_sports_club_dismissable_notice', true);
    wp_die();
}

/**
 * Enqueue theme color style.
 */
function football_sports_club_theme_color() {

    $theme_color_css = '';
    $football_sports_club_preloader_bg_color = get_theme_mod('football_sports_club_preloader_bg_color');
    $football_sports_club_preloader_dot_1_color = get_theme_mod('football_sports_club_preloader_dot_1_color');
    $football_sports_club_preloader_dot_2_color = get_theme_mod('football_sports_club_preloader_dot_2_color');
  	$football_sports_club_preloader2_dot_color = get_theme_mod('football_sports_club_preloader2_dot_color');
    $football_sports_club_logo_max_height = get_theme_mod('football_sports_club_logo_max_height');

	if(get_theme_mod('football_sports_club_logo_max_height') == '') {
		$football_sports_club_logo_max_height = '24';
	}

	if(get_theme_mod('football_sports_club_preloader_dot_1_color') == '') {
		$football_sports_club_preloader_dot_1_color = '#fff';
	}
	if(get_theme_mod('football_sports_club_preloader_dot_2_color') == '') {
		$football_sports_club_preloader_dot_2_color = 'var(--first-color)';
	}

	$theme_color_css = '
		.custom-logo-link img{
			max-height: '.esc_attr($football_sports_club_logo_max_height).'px;
		 }
		.loading, .loading2{
			background-color: '.esc_attr($football_sports_club_preloader_bg_color).';
		 }
		 @keyframes loading {
		  0%,
		  100% {
		  	transform: translatey(-2.5rem);
		    background-color: '.esc_attr($football_sports_club_preloader_dot_1_color).';
		  }
		  50% {
		  	transform: translatey(2.5rem);
		    background-color: '.esc_attr($football_sports_club_preloader_dot_2_color).';
		  }
		}
		.load hr {
			background-color: '.esc_attr($football_sports_club_preloader2_dot_color).';
		}
	';
    wp_add_inline_style( 'football-sports-club-style',$theme_color_css );

}
add_action( 'wp_enqueue_scripts', 'football_sports_club_theme_color' );

// Change number or products per row to 3
add_filter('loop_shop_columns', 'football_sports_club_loop_columns');
if (!function_exists('football_sports_club_loop_columns')) {
	function football_sports_club_loop_columns() {
		$columns = get_theme_mod( 'football_sports_club_products_per_row', 3 );
		return $columns; // 3 products per row
	}
}

function football_sports_club_preloader1(){
	if(get_theme_mod('football_sports_club_preloader_type', 'Preloader 1') == 'Preloader 1' ) {
		return true;
	}
	return false;
}

function football_sports_club_preloader2(){
	if(get_theme_mod('football_sports_club_preloader_type', 'Preloader 1') == 'Preloader 2' ) {
		return true;
	}
	return false;
}

//Change number of products that are displayed per page (shop page)
add_filter( 'loop_shop_per_page', 'football_sports_club_shop_per_page', 9 );
function football_sports_club_shop_per_page( $cols ) {
  	$cols = get_theme_mod( 'football_sports_club_product_per_page', 9 );
	return $cols;
}

// Demo Content Code

// Ensure WordPress is loaded
// Add the AJAX action to trigger theme mods import
add_action('wp_ajax_import_theme_mods', 'demo_importer_ajax_handler');

// Handle the AJAX request
function demo_importer_ajax_handler() {
    // Sample data to import
    $theme_mods_data = array(
        'header_textcolor' => '000000',  // Example: change header text color
        'background_color' => 'ffffff',  // Example: change background color
        'custom_logo'      => 123,       // Example: set a custom logo by attachment ID
        'footer_text'      => 'Custom Footer Text', // Example: custom footer text
    );

    // Call the function to import theme mods
    if (demo_theme_importer($theme_mods_data)) {
        // After importing theme mods, create the menu
        create_demo_menu();
        wp_send_json_success(array(
        	'msg' => 'Theme mods and widgets imported successfully.',
        	'redirect' => home_url()
        ));
    } else {
        wp_send_json_error('Failed to import theme mods.');
    }

    wp_die();
}

// Function to set theme mods
function demo_theme_importer($import_data) {
    if (is_array($import_data)) {
        foreach ($import_data as $mod_name => $mod_value) {
            set_theme_mod($mod_name, $mod_value);
        }
        return true;
    } else {
        return false;
    }
}

// Function to create demo menu
function create_demo_menu() {

    $menu_structure = [

        [
            'title' => 'Home',
            'slug'  => 'home',
            'template' => 'page-template/home-template.php',
        ],
        [
            'title' => 'About',
            'slug'  => 'about',
            'content' => "
                <p>Lorem Ipsum is simply dummy text of the printing and typesetting industry. Lorem Ipsum has been the industry's standard dummy text ever since the 1500s, when an unknown printer took a galley of type and scrambled it to make a type specimen book. It has survived not only five centuries, but also the leap into electronic typesetting, remaining essentially unchanged. It was popularised in the 1960s with the release of Letraset sheets containing Lorem Ipsum passages, and more recently with desktop publishing software like Aldus PageMaker including versions of Lorem Ipsum. It is a long established fact that a reader will be distracted by the readable content of a page when looking at its layout. The point of using Lorem Ipsum is that it has a more-or-less normal distribution of letters, as opposed to using 'Content here, content here', making it look like readable English. Many desktop publishing packages and web page editors now use Lorem Ipsum as their default model text, and a search for 'lorem ipsum' will uncover many web sites still in their infancy. There are many variations of passages of Lorem Ipsum available, but the majority have suffered alteration in some form, by injected humour, or randomised words which don't look even slightly believable. If you are going to use a passage of Lorem Ipsum, you need to be sure there isn't anything embarrassing hidden in the middle of text. All the Lorem Ipsum generators on the Internet tend to repeat predefined chunks as necessary, making this the first true generator on the Internet. It uses a dictionary of over 200 Latin words, combined with a handful of model sentence structures, to generate Lorem Ipsum which looks reasonable. The generated Lorem Ipsum is therefore always free from repetition, injected humour, or non-characteristic words etc.</p>
            "
        ],
        [
            'title' => 'Match',
            'slug'  => 'match',
            'content' => "<p>Lorem Ipsum is simply dummy text of the printing and typesetting industry. Lorem Ipsum has been the industry's standard dummy text ever since the 1500s, when an unknown printer took a galley of type and scrambled it to make a type specimen book. It has survived not only five centuries, but also the leap into electronic typesetting, remaining essentially unchanged. It was popularised in the 1960s with the release of Letraset sheets containing Lorem Ipsum passages, and more recently with desktop publishing software like Aldus PageMaker including versions of Lorem Ipsum. It is a long established fact that a reader will be distracted by the readable content of a page when looking at its layout. The point of using Lorem Ipsum is that it has a more-or-less normal distribution of letters, as opposed to using 'Content here, content here', making it look like readable English. Many desktop publishing packages and web page editors now use Lorem Ipsum as their default model text, and a search for 'lorem ipsum' will uncover many web sites still in their infancy. There are many variations of passages of Lorem Ipsum available, but the majority have suffered alteration in some form, by injected humour, or randomised words which don't look even slightly believable. If you are going to use a passage of Lorem Ipsum, you need to be sure there isn't anything embarrassing hidden in the middle of text. All the Lorem Ipsum generators on the Internet tend to repeat predefined chunks as necessary, making this the first true generator on the Internet. It uses a dictionary of over 200 Latin words, combined with a handful of model sentence structures, to generate Lorem Ipsum which looks reasonable. The generated Lorem Ipsum is therefore always free from repetition, injected humour, or non-characteristic words etc.</p>
           	"
        ],
        [
            'title' => 'Blog',
            'slug'  => 'blog',           
        ],
        [
            'title' => 'Shop',
            'slug'  => 'shop',
            
        ],
        
        [
            'title' => 'Contact',
            'slug'  => 'contact',
            'content' => "
                <p>Lorem Ipsum is simply dummy text of the printing and typesetting industry. Lorem Ipsum has been the industry's standard dummy text ever since the 1500s, when an unknown printer took a galley of type and scrambled it to make a type specimen book. It has survived not only five centuries, but also the leap into electronic typesetting, remaining essentially unchanged. It was popularised in the 1960s with the release of Letraset sheets containing Lorem Ipsum passages, and more recently with desktop publishing software like Aldus PageMaker including versions of Lorem Ipsum. It is a long established fact that a reader will be distracted by the readable content of a page when looking at its layout. The point of using Lorem Ipsum is that it has a more-or-less normal distribution of letters, as opposed to using 'Content here, content here', making it look like readable English. Many desktop publishing packages and web page editors now use Lorem Ipsum as their default model text, and a search for 'lorem ipsum' will uncover many web sites still in their infancy. There are many variations of passages of Lorem Ipsum available, but the majority have suffered alteration in some form, by injected humour, or randomised words which don't look even slightly believable. If you are going to use a passage of Lorem Ipsum, you need to be sure there isn't anything embarrassing hidden in the middle of text. All the Lorem Ipsum generators on the Internet tend to repeat predefined chunks as necessary, making this the first true generator on the Internet. It uses a dictionary of over 200 Latin words, combined with a handful of model sentence structures, to generate Lorem Ipsum which looks reasonable. The generated Lorem Ipsum is therefore always free from repetition, injected humour, or non-characteristic words etc.</p>
            "
        ],
    ];

    // ----------------------------------------------------
    // Do not modify below this line unless needed
    // ----------------------------------------------------

    $created_pages = [];

    $menu_name = 'Primary Menu';
    $location  = 'primary';
    $menu = wp_get_nav_menu_object($menu_name);

    $menu_id = (!$menu) ? wp_create_nav_menu($menu_name) : $menu->term_id;

    $create_page_and_menu = function($item, $parent_menu_id = 0, $parent_page_id = 0) 
        use (&$create_page_and_menu, &$created_pages, $menu_id) {

        $existing_pages = get_posts( array(
            'post_type'      => 'page',
            'posts_per_page' => 1,
            'post_status'    => 'publish',
            'title'          => $item['title'],
        ) );
        $page = ! empty( $existing_pages ) ? $existing_pages[0] : null;

        if (!$page) {
            $page_id = wp_insert_post([
                'post_title'   => $item['title'],
                'post_type'    => 'page',
                'post_status'  => 'publish',
                'post_name'    => $item['slug'],
                'post_parent'  => $parent_page_id,
                'post_content' => !empty($item['content']) ? $item['content'] : '',
            ]);

            if (!empty($item['template'])) {
                update_post_meta($page_id, '_wp_page_template', $item['template']);
            }

        } else {
            $page_id = $page->ID;
        }

        $created_pages[$item['title']] = $page_id;

        $menu_item_id = wp_update_nav_menu_item($menu_id, 0, [
            'menu-item-title'     => $item['title'],
            'menu-item-object'    => 'page',
            'menu-item-object-id' => $page_id,
            'menu-item-type'      => 'post_type',
            'menu-item-parent-id' => $parent_menu_id,
            'menu-item-status'    => 'publish'
        ]);

        if (!empty($item['children'])) {
            foreach ($item['children'] as $child) {
                $create_page_and_menu($child, $menu_item_id, $page_id);
            }
        }
    };

    foreach ($menu_structure as $item) {
        $create_page_and_menu($item);
    }

    if (!empty($created_pages['Home'])) {
        update_option('page_on_front', $created_pages['Home']);
        update_option('show_on_front', 'page');
    }

    if (!empty($created_pages['Blog'])) {
        update_option('page_for_posts', $created_pages['Blog']);
    }

    $locations = get_theme_mod('nav_menu_locations');
    $locations[$location] = $menu_id;
    set_theme_mod('nav_menu_locations', $locations);
    
    //Top Bar
    set_theme_mod( 'football_sports_club_upcoming_match', 'Real Soccer vs Valencia,Califotnia' );
    set_theme_mod( 'football_sports_club_phone', '012345678' );
    set_theme_mod( 'football_sports_club_address', 'Lorem Ipsum is simply dummy text of the printing' );

    set_theme_mod( 'football_sports_club_facebook_url', 'www.facebook.com' );
    set_theme_mod( 'football_sports_club_twitter_url', 'www.twitter.com' );
    set_theme_mod( 'football_sports_club_intagram_url', 'www.instagram.com' );
    set_theme_mod( 'football_sports_club_linkedin_url', 'www.linkedin.com' );
    set_theme_mod( 'football_sports_club_youtube_url', 'www.youtube.com' );


    //Slider
    set_theme_mod( 'football_sports_club_top_slider_setting', true );
    set_theme_mod( 'football_sports_club_slider_button_text', 'Register Now' );

    for($i=1;$i<=3;$i++){
        $title = 'Sports Club';
        $content = 'Lorem Ipsum is simply dummy text of the printing and typesetting industry. Lorem Ipsum has been the industry’s standard dummy text ever since the 1500s.';
            // Create post object
        $my_post = array(
         	'post_title'    => wp_strip_all_tags( $title ),
         	'post_content'  => $content,
         	'post_status'   => 'publish',
         	'post_type'     => 'page',
        );

         // Insert the post into the database
         $post_id = wp_insert_post( $my_post );

         if ($post_id) {
	        // Set the theme mod for the slider page
	        set_theme_mod('football_sports_club_top_slider_page' . $i, $post_id);

	         $image_url = get_template_directory_uri().'/assets/img/slider.png';

			$image_id = media_sideload_image($image_url, $post_id, null, 'id');

		        if (!is_wp_error($image_id)) {
		            // Set the downloaded image as the post's featured image
		            set_post_thumbnail($post_id, $image_id);
		        }
      	}
    }

    //Featured Product
    set_theme_mod( 'football_sports_club_activity_setting', 'true' );
    set_theme_mod( 'football_sports_club_sports_activities_title', 'Best Seller Product This Week' );
   
    set_theme_mod('football_sports_club_sports_activities_category', 'servicecat1');

    // Define post category names and post titles
    $football_sports_club_category_names = array('servicecat1', 'servicecat2');
    $football_sports_club_title_array = array(
        array("Cycling", "WaterCraft", "Swimming"),
        array("Cycling", "WaterCraft", "Swimming")
    );

    foreach ($football_sports_club_category_names as $football_sports_club_index => $football_sports_club_category_name) {
        // Create or retrieve the post category term ID
        $football_sports_club_term = term_exists($football_sports_club_category_name, 'category');
        if ($football_sports_club_term === 0 || $football_sports_club_term === null) {
            // If the term does not exist, create it
            $football_sports_club_term = wp_insert_term($football_sports_club_category_name, 'category');
        }
        if (is_wp_error($football_sports_club_term)) {
            error_log('Error creating category: ' . $football_sports_club_term->get_error_message());
            continue; // Skip to the next iteration if category creation fails
        }

        for ($football_sports_club_i = 0; $football_sports_club_i < 3; $football_sports_club_i++) {
            // Create post content
            $football_sports_club_title = $football_sports_club_title_array[$football_sports_club_index][$football_sports_club_i];
            $football_sports_club_content = 'Lorem Ipsum has been the industry\'s standard dummy text ever since the 1500s, when an unknown printer took a galley of type and scrambled it to make a type specimen book. Lorem Ipsum has been the industry\'s standard dummy text ever since the 1500s.';

            // Create post post object
            $football_sports_club_my_post = array(
                'post_title'    => wp_strip_all_tags($football_sports_club_title),
                'post_content'  => $football_sports_club_content,
                'post_status'   => 'publish',
                'post_type'     => 'post', // Post type set to 'post'
            );

            // Insert the post into the database
            $football_sports_club_post_id = wp_insert_post($football_sports_club_my_post);


            if (is_wp_error($football_sports_club_post_id)) {
                error_log('Error creating post: ' . $football_sports_club_post_id->get_error_message());
                continue; // Skip to the next post if creation fails
            }

            // Assign the category to the post
            wp_set_post_categories($football_sports_club_post_id, array((int)$football_sports_club_term['term_id']));

            // Handle the featured image using media_sideload_image
            $football_sports_club_image_url = get_template_directory_uri() . '/assets/images/post-img' . ($football_sports_club_i + 1) . '.png';
            $football_sports_club_image_id = media_sideload_image($football_sports_club_image_url, $football_sports_club_post_id, null, 'id');

            if (is_wp_error($football_sports_club_image_id)) {
                error_log('Error downloading image: ' . $football_sports_club_image_id->get_error_message());
                continue; // Skip to the next post if image download fails
            }
            // Assign featured image to post
            set_post_thumbnail($football_sports_club_post_id, $football_sports_club_image_id);
        }
    } 
        
    $football_sports_club_icon_array = array(
        'fas fa-bicycle',
        'fas fa-golf-ball',
        'fas fa-swimmer',
    );

    for ( $i = 1; $i <= 3; $i++ ) {

        // Set icon
        if ( isset( $football_sports_club_icon_array[ $i - 1 ] ) ) {
            set_theme_mod(
                'football_sports_club_sports_activities_icon' . $i,
                $football_sports_club_icon_array[ $i - 1 ]
            );
        }
    }    

    
}
// Enqueue necessary scripts
add_action('admin_enqueue_scripts', 'demo_importer_enqueue_scripts');

function demo_importer_enqueue_scripts() {
    wp_enqueue_script(
        'demo-theme-importer',
        get_template_directory_uri() . '/assets/js/theme-importer.js', // Path to your JS file
        array('jquery'),
        null,
        true
    );

    wp_enqueue_style('demo-importer-style', get_template_directory_uri() . '/assets/css/importer.css', array(), '');

    // Localize script to pass AJAX URL to JS
    wp_localize_script(
        'demo-theme-importer',
        'demoImporter',
        array(
            'ajax_url' => admin_url('admin-ajax.php'),
            'nonce'    => wp_create_nonce('theme_importer_nonce')
        )
    );
}

/**
 * Theme Info.
 */
function football_sports_club_theme_info_load() {
	require get_theme_file_path( '/inc/theme-installation/theme-installation.php' );
}
add_action( 'init', 'football_sports_club_theme_info_load' );


// Getstart Function

function free_mnssp_get_filtered_products($cursor = '', $search = '', $collection = 'pro') {
    $endpoint_url = FREE_MNSSP_API_URL . 'getFilteredProducts';

    $remote_post_data = array(
        'collectionHandle' => $collection,
        'productHandle' => $search,
        'paginationParams' => array(
            "first" => 12,
            "afterCursor" => $cursor,
            "beforeCursor" => "",
            "reverse" => true
        )
    );

    $body = wp_json_encode($remote_post_data);

    $options = [
        'body' => $body,
        'headers' => [
            'Content-Type' => 'application/json'
        ]
    ];
    $response = wp_remote_post($endpoint_url, $options);

    if (!is_wp_error($response)) {
        $response_body = wp_remote_retrieve_body($response);
        $response_body = json_decode($response_body);

        if (isset($response_body->data) && !empty($response_body->data)) {
            if (isset($response_body->data->products) && !empty($response_body->data->products)) {
                return  array(
                    'products' => $response_body->data->products,
                    'pagination' => $response_body->data->pageInfo
                );
            }
        }
        return [];
    }
    
    return [];
}

function free_mnssp_get_filtered_products_ajax() {
    $cursor = isset($_POST['cursor']) ? sanitize_text_field(wp_unslash($_POST['cursor'])) : '';
    $search = isset($_POST['search']) ? sanitize_text_field(wp_unslash($_POST['search'])) : '';
    $collection = isset($_POST['collection']) ? sanitize_text_field(wp_unslash($_POST['collection'])) : 'pro';

    check_ajax_referer('free_mnssp_create_pagination_nonce_action', 'mnssp_pagination_nonce');

    $get_filtered_products = free_mnssp_get_filtered_products($cursor, $search, $collection);
    ob_start();
    if (isset($get_filtered_products['products']) && !empty($get_filtered_products['products'])) {
        foreach ( $get_filtered_products['products'] as $product ) {

            $product_obj = $product->node;
            
            if (isset($product_obj->inCollection) && !$product_obj->inCollection) {
                continue;
            }

            $product_obj = $product->node;

            $demo_url = isset($product->node->metafield->value) ? $product->node->metafield->value : '';
            $product_url = isset($product->node->onlineStoreUrl) ? $product->node->onlineStoreUrl : '';
            $image_src = isset($product->node->images->edges[0]->node->src) ? $product->node->images->edges[0]->node->src : '';
            $price = isset($product->node->variants->edges[0]->node->price) ? '$' . $product->node->variants->edges[0]->node->price : ''; ?>

            <div class="mnssp-grid-item">
                <div class="mnssp-image-wrap">
                    <img src="<?php echo esc_url($image_src); ?>" alt="<?php echo esc_attr($product_obj->title); ?>">
                    <div class="mnssp-image-overlay">
                        <a class="mnssp-demo-url mnssp-btn" href="<?php echo esc_attr($demo_url); ?>" target="_blank" rel="noopener noreferrer"><?php echo esc_html('Demo'); ?></a>
                        <a class="mnssp-buy-now mnssp-btn" href="<?php echo esc_attr($product_url); ?>" target="_blank" rel="noopener noreferrer"><?php echo esc_html('Buy Now'); ?></a>
                    </div>
                </div>
                <footer>
                    <h3><?php echo esc_html($product_obj->title); ?></h3>
                </footer>
                <div class="mnssp-grid-item-price">Price: <?php echo esc_html($price); ?></div>
            </div>
        <?php }
    }
    $output = ob_get_clean();

    $pagination = isset($get_filtered_products['pagination']) ?  $get_filtered_products['pagination'] : [];
    wp_send_json(array(
        'content' => $output,
        'pagination' => $pagination
    ));
}

add_action('wp_ajax_free_mnssp_get_filtered_products', 'free_mnssp_get_filtered_products_ajax');
add_action('wp_ajax_nopriv_free_mnssp_get_filtered_products', 'free_mnssp_get_filtered_products_ajax');

function free_mnssp_get_collections() {
    
    $endpoint_url = FREE_MNSSP_API_URL . 'getCollections';

    $options = [
        'body' => [],
        'headers' => [
            'Content-Type' => 'application/json'
        ]
    ];
    $response = wp_remote_post($endpoint_url, $options);

    if (!is_wp_error($response)) {
        $response_body = wp_remote_retrieve_body($response);
        $response_body = json_decode($response_body);

        if (isset($response_body->data) && !empty($response_body->data)) {
           return  $response_body->data;
        }
        return  [];
    }

    return  [];
}